/********************************************************************
 *  Licensed Materials - Property of IBM
 *
 *  (c) Copyright IBM Corp.  2009 All Rights Reserved
 *
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with
 *  IBM Corp.
 ********************************************************************/
package examples.authentication;

import java.util.Hashtable;

import com.ibm.itim.authentication.AuthenticationProvider;
import com.ibm.itim.authentication.AuthenticationProviderFactory;
import com.ibm.itim.authentication.ConfigurationException;

/**
 * Provides instances of ActiveDirectory AuthenticationProvider
 */
public class ADProviderFactory implements
        AuthenticationProviderFactory {

    /** Creates new ADProviderFactory */
    public ADProviderFactory() {
    }

    /**
     * Constructs an AuthenticationProvider with the given environment
     * parameters.
     * @param env environment parameters used to construct the AuthenticationProvider.
     * @return the constructed AuthenticationProvider, null if the construction fails.
     * @exception ConfigurationException thrown if the AuthenticationAuthority can not be constructed.
     */
    public AuthenticationProvider getProvider(Hashtable env)
            throws ConfigurationException {
        return new ADAuthenticationProvider(env);
    }
}
